<template lang="pug">
title-bar Создать бренд
b-container
	.tile.is-ancestor
		.tile.is-parent
			b-card.tile.is-child
				brand-form( @submit='create' )
</template>

<script setup>
	import BrandForm from "@/components/brand/Form.vue"

	import { useBrandStore } from "@/stores/brand"
	import { useRouter } from "vue-router"

	const bs = useBrandStore()
	const $router = useRouter()

	const create = async body => {
		try {
			await bs.createBrand(body)
			$router.push({ name: "Brands" })
		} catch(err) {
			console.error(err)
		}
	}
</script>

<style lang="scss"></style>